<?php
function fastgallery_gutenberg_add_image_sizes() {
	add_image_size( 'fgmasonry', 500 );
	add_image_size( 'fggrid', 800 , 800 , true);
}
add_action( 'init', 'fastgallery_gutenberg_add_image_sizes' );


add_action( 'wp_enqueue_scripts', 'fastgallery_gutenberg_scripts' );
add_action( 'enqueue_block_editor_assets', 'fastgallery_gutenberg_scripts' );

function fastgallery_gutenberg_scripts() {
		if ( ! function_exists( 'register_block_type' ) ) {
			return;
		}
	
		// Load WP jQuery if not included
		wp_enqueue_script('jquery');
		wp_enqueue_script('jquery-masonry');
		// Load main js script
		
		// Main
		wp_register_style( 'fgg-fonts',  FGG_URL . 'assets/css/fonts.css'); 
		wp_register_style( 'fgg-style',  FGG_URL . 'assets/css/style.css'); 
		wp_register_style( 'fgg-custom-responsive',  FGG_URL . 'assets/css/custom_responsive.css'); 
		wp_register_script('fgg-main', FGG_URL . 'assets/js/fast-gallery.js');
		
		// PRETTYPHOTO		   
		wp_register_script('prettyPhoto', FGG_URL . 'assets/js/vendor/jquery.prettyPhoto.js');
		wp_register_style( 'prettyPhoto',  FGG_URL . 'assets/css/prettyPhoto.css');
		
		// MAGNIFIC POPUP
		wp_register_script('magnific-popup', FGG_URL . 'assets/js/vendor/jquery.magnific-popup.js');
		wp_register_style( 'magnific-popup', FGG_URL . 'assets/css/magnific-popup.css');
		
		
		if ( has_block( 'adtheme/fastgallery' ) || is_admin()) {
			wp_enqueue_style('fgg-fonts');
			wp_enqueue_style('fgg-style');
			wp_enqueue_style('fgg-custom-responsive');
			wp_enqueue_style('prettyPhoto');			
			wp_enqueue_script('prettyPhoto');
			wp_enqueue_style('magnific-popup');
			wp_enqueue_script('magnific-popup');								
		}
		if ( has_block( 'adtheme/fastgallery') && !is_admin() ) {
			wp_enqueue_script('fgg-main');	
		}

}